Page MenuHomeFreeBSD

security/barnyard2: Ports cleanup
ClosedPublic

Authored by bofh on Jan 13 2015, 1:22 PM.

Details

Reviewers
bapt
marino
Summary
  • Update pkg-plist to make proper use of @sample
  • Pass Maintainership [1]

Differential Revision: https://reviews.freebsd.org/DXXXX
Submitted by: pauls@utdallas.edu [1]
Approved by: xxxx(mentor)

Test Plan

Diff Detail

Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

bofh updated this revision to Diff 3145.Jan 13 2015, 1:22 PM
bofh retitled this revision from to security/barnyard2: Ports cleanup.
bofh updated this object.
bofh edited the test plan for this revision. (Show Details)
bofh added reviewers: bapt, marino.
bofh set the repository for this revision to rP FreeBSD ports repository.
bapt edited edge metadata.Jan 14 2015, 8:18 AM

It is not necessary to wrap as pkg will respect the plist and only take what it needs from the stagedir
Just adding EXAMPLES is enough

bofh added a comment.Jan 14 2015, 10:09 AM
In D1514#4, @bapt wrote:

It is not necessary to wrap as pkg will respect the plist and only take what it needs from the stagedir
Just adding EXAMPLES is enough

Does it apply for DOCS too?

marino edited edge metadata.Jan 14 2015, 10:17 AM

it depends if you have PORTDOCS defined. Frankly I thought examples depends on having PORTEXAMPLES defined.

e.g. if you have PORTDOCS defined, you can install portsdocs or not if the option is "off" and everything is fine. If you don't install when DOCS option is on, that's an error. Same for PORTEXAMPLES.

However, some people wrap anyway if creating or installing the docs or examples is a heavy task....

bofh added a comment.Jan 14 2015, 10:36 AM
In D1514#6, @marino wrote:

it depends if you have PORTDOCS defined. Frankly I thought examples depends on having PORTEXAMPLES defined.
e.g. if you have PORTDOCS defined, you can install portsdocs or not if the option is "off" and everything is fine. If you don't install when DOCS option is on, that's an error. Same for PORTEXAMPLES.

OK. One more thing is interesting. If I don't do conditional PORTDOCS then portlint throws an warning
WARN: Makefile: use ".if ${PORT_OPTIONS:MDOCS}" to wrap installation of files into /usr/local/share/doc

But this doesn't apply for PORTEXAMPLES. Is it an issue with portlint?

what do you mean "conditional PORTDOCS" ?

PORTDOCS is unconditionally set. it either exists or it doesn't. It should never be conditionally set.

bapt added a comment.Jan 14 2015, 11:03 AM

portlint is wrong here, it should speficy if installing docs is a heavy tasks

Anyway as a maintainer it is up to you of you prefer wrapping DOCS then go ahead without your initial diff

bofh added a comment.Jan 14 2015, 11:18 AM
In D1514#9, @marino wrote:

what do you mean "conditional PORTDOCS" ?
PORTDOCS is unconditionally set. it either exists or it doesn't. It should never be conditionally set.

Sorry I meant conditional DOCS installation.

bofh updated this revision to Diff 3168.Jan 14 2015, 11:27 AM
bofh updated this object.
bofh edited the test plan for this revision. (Show Details)
bofh edited edge metadata.

Not wraping DOCS as it is not a CPU hungry process for these small files. Not wraping conditional EXAMPLES too as it is not required.

bapt accepted this revision.Jan 14 2015, 11:34 AM
bapt edited edge metadata.
This revision is now accepted and ready to land.Jan 14 2015, 11:34 AM

You didn't talk about what's going on with the database options (radio option is gone).

That merits discussion in the commit message at least? wrong? something changed? more than one db can used? why the change?

oh, I got it backwards, you added the radio option. You still might want to explain why.

bofh closed this revision.Jan 15 2015, 9:49 AM
In D1514#19, @marino wrote:

oh, I got it backwards, you added the radio option. You still might want to explain why.

Added reasons for using OPTIONS_RADIO in Commit messages.